org.keycloak.protocol.oidc

## Class OIDCWellKnownProviderFactory

- java.lang.Object
- - org.keycloak.protocol.oidc.OIDCWellKnownProviderFactory

- All Implemented Interfaces:
    ProviderFactory<WellKnownProvider>, WellKnownProviderFactory

      public class OIDCWellKnownProviderFactory
      extends Object
      implements WellKnownProviderFactory

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCWellKnownProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `WellKnownProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `protected Map<String,Object>` | `getOpenidConfigOverride()`
    `int` | `getPriority()` Use low priority, so custom implementation with alias "openid-configuration" will win over the default implementation with alias "openid-configuration", which is provided by Keycloak (OIDCWellKnownProviderFactory).
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `protected void` | `initConfigOverrideFromFile(String openidConfigurationOverrideFile)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.wellknown.WellKnownProviderFactory

      `getAlias`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OIDCWellKnownProviderFactory

          public OIDCWellKnownProviderFactory()

  - ### Method Detail

    - #### create

          public WellKnownProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<WellKnownProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<WellKnownProvider>`

    - #### initConfigOverrideFromFile

          protected void initConfigOverrideFromFile(String openidConfigurationOverrideFile)

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<WellKnownProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<WellKnownProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<WellKnownProvider>`

    - #### getPriority

          public int getPriority()

      Description copied from interface: `WellKnownProviderFactory`
      Use low priority, so custom implementation with alias "openid-configuration" will win over the default implementation with alias "openid-configuration", which is provided by Keycloak (OIDCWellKnownProviderFactory).
      Specified by:
        `getPriority` in interface `WellKnownProviderFactory`

    - #### getOpenidConfigOverride

          protected Map<String,Object> getOpenidConfigOverride()

Copyright © 2021 JBoss by Red Hat. All rights reserved.